// The contents of this file are subject to the Mozilla Public License Version 1.1
// (the "License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
// 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
// WARRANTY OF ANY KIND, either express or implied. See the License for the specific
// language governing rights and limitations under the License.
// 
// The Original Code is the Venice Web Communities System.
// 
// The Initial Developer of the Original Code is Eric J. Bowersox <erbo@ricochet.com>,
// for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
// Copyright (C) 2001-2004 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
// 
// Contributor(s): 

importPackage(Packages.com.silverwrist.venice.core);
importPackage(Packages.com.silverwrist.venice.ui);
importPackage(Packages.com.silverwrist.venice.ui.helpers);
importPackage(Packages.com.silverwrist.venice.ui.view);

// Get the request object and the target URI.
rinput = bsf.lookupBean("request");
target = rinput.getParameter("tgt");
if (target==null)
  target = "top.js.vs";

// If the user is already logged in, this is an error.
user = rinput.user;
if (user.isLoggedIn())
{ // user already logged in - just bail on this
  vlib.output(new ErrorBox(null,"You cannot create a new account while logged in on an existing one. "
	                   + "You must log out first.",target));
  vlib.done();

} // end if

// Test to see if the IP address has been banned.
banmsg = rinput.engine.testIPBan(rinput.sourceAddress);
if (banmsg!=null)
{ // this IP address has been banned - you are Not Allowed
  vlib.output(new ErrorBox("This IP address has been banned",banmsg,target));
  vlib.done();

} // end if

// Return the text of the User Agreement.
rinput.displayLogin = false;
html = vlib.queryHTMLRendering(rinput);
rc = new TextMessage(html.getStockMessage("user-agreement-title"),
                     html.getStockMessage("user-agreement-subtitle"));
rc.text = html.getStockMessage("user-agreement");
rc.addButton(LinkTypes.SERVLET,"new_account_2.js.vs?tgt=" + vlib.encodeURL(target),"ua_accept");
rc.addButton(LinkTypes.SERVLET,"top.js.vs","ua_decline");
vlib.output(rc);
